Skip to content
Proud to collaborate with Microsoft for Startups

argocd.repository.update-write-repository ​

UpdateWriteRepository updates a write repository configuration

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
repo_repostringYes—Repo contains the URL to the remote repository
azureactivedirectoryendpointstringNo——
azureserviceprincipalclientidstringNo——
azureserviceprincipalclientsecretstringNo——
azureserviceprincipaltenantidstringNo——
bearertokenstringNo——
connectionstatejsonNo——
depthintegerNo—Depth specifies the depth for shallow clones. A value of 0 or omitting the field indicates a full clone.
enablelfsbooleanNo—EnableLFS specifies whether git-lfs support should be enabled for this repo. Only valid for Git repositories.
enableocibooleanNo——
forcehttpbasicauthbooleanNo——
gcpserviceaccountkeystringNo——
githubappenterprisebaseurlstringNo——
githubappidintegerNo——
githubappinstallationidintegerNo——
githubappprivatekeystringNo——
inheritedcredsbooleanNo——
insecurebooleanNo——
insecureignorehostkeybooleanNo——
insecureociforcehttpbooleanNo—InsecureOCIForceHttp specifies whether the connection to the repository uses TLS at all. If true, no TLS. This flag is applicable for OCI repos only.
namestringNo——
noproxystringNo——
passwordstringNo——
projectstringNo——
proxystringNo——
repostringNo——
sshprivatekeystringNo—SSHPrivateKey contains the PEM data for authenticating at the repo server. Only used with Git repos.
tlsclientcertdatastringNo——
tlsclientcertkeystringNo——
typestringNo—Type specifies the type of the repo. Can be either "git" or "helm. "git" is assumed if empty or absent.
useazureworkloadidentitybooleanNo——
usernamestringNo——
webhookmanifestcachewarmdisabledbooleanNo—WebhookManifestCacheWarmDisabled disables manifest cache warming during webhook processing for this repository. When set, webhook handlers will only trigger reconciliation for affected applications and skip Redis cache operations for unaffected ones. Recommended for large monorepos with plain YAML manifests.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
repo_repostringYes—Repo contains the URL to the remote repository
azureactivedirectoryendpointstringNo——
azureserviceprincipalclientidstringNo——
azureserviceprincipalclientsecretstringNo——
azureserviceprincipaltenantidstringNo——
bearertokenstringNo——
connectionstatejsonNo——
depthintegerNo—Depth specifies the depth for shallow clones. A value of 0 or omitting the field indicates a full clone.
enablelfsbooleanNo—EnableLFS specifies whether git-lfs support should be enabled for this repo. Only valid for Git repositories.
enableocibooleanNo——
forcehttpbasicauthbooleanNo——
gcpserviceaccountkeystringNo——
githubappenterprisebaseurlstringNo——
githubappidintegerNo——
githubappinstallationidintegerNo——
githubappprivatekeystringNo——
inheritedcredsbooleanNo——
insecurebooleanNo——
insecureignorehostkeybooleanNo——
insecureociforcehttpbooleanNo—InsecureOCIForceHttp specifies whether the connection to the repository uses TLS at all. If true, no TLS. This flag is applicable for OCI repos only.
namestringNo——
noproxystringNo——
passwordstringNo——
projectstringNo——
proxystringNo——
repostringNo——
sshprivatekeystringNo—SSHPrivateKey contains the PEM data for authenticating at the repo server. Only used with Git repos.
tlsclientcertdatastringNo——
tlsclientcertkeystringNo——
typestringNo—Type specifies the type of the repo. Can be either "git" or "helm. "git" is assumed if empty or absent.
useazureworkloadidentitybooleanNo——
usernamestringNo——
webhookmanifestcachewarmdisabledbooleanNo—WebhookManifestCacheWarmDisabled disables manifest cache warming during webhook processing for this repository. When set, webhook handlers will only trigger reconciliation for affected applications and skip Redis cache operations for unaffected ones. Recommended for large monorepos with plain YAML manifests.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /api/v1/write-repositories/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /api/v1/write-repositories/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.repository.update-write-repository",
  "initial_data": {
    "base_url": "value",
    "repo_repo": "value"
  }
}